from django.db import transaction
from .models import CustomUser

@transaction.atomic
def user_create(email, password=None, **extra_fields) -> CustomUser:
    """Service pour créer un utilisateur de manière sécurisée."""
    user = CustomUser.objects.create_user(email=email, password=password, **extra_fields)
    return user